Error Report

read
Error Code: 
4
Error Message: 
Operation details
Installable Units Reported: 
org.codehaus.groovy.m2eclipse.feature.feature.group,3.0.0.xx-201807091850-e47
Detailed Message: 
Cannot complete the install because of a conflicting dependency. Software being installed: Eclipse Groovy Development Tools 3.0.0.xx-201807091850-e47 (org.codehaus.groovy.eclipse.feature.feature.group 3.0.0.xx-201807091850-e47) Software currently installed: m2e - Maven Integration for Eclipse (includes Incubating components) 1.8.3.20180227-2137 (org.eclipse.m2e.feature.feature.group 1.8.3.20180227-2137) Software currently installed: Spring Tool Suite 3.9.5.201807031734-RELEASE-e47 (org.springsource.sts.ide 3.9.5.201807031734-RELEASE-e47) Only one of the following can be installed at once: Java Development Tools Core 3.13.100.v20171123-1049 (org.eclipse.jdt.core 3.13.100.v20171123-1049) Object Teams Development Tooling Core 3.13.101.v_OTDT_r262_201803031341 (org.eclipse.jdt.core 3.13.101.v_OTDT_r262_201803031341) Object Teams Development Tooling Core 3.13.100.v_OTDT_r261_201712031505 (org.eclipse.jdt.core 3.13.100.v_OTDT_r261_201712031505) Java Development Tools Core 3.13.101.v20180215-0725 (org.eclipse.jdt.core 3.13.101.v20180215-0725) Java Development Tools Core 3.13.102.v20180330-0919 (org.eclipse.jdt.core 3.13.102.v20180330-0919) Object Teams Development Tooling Core 3.13.102.v_OTDT_r262_201804012017 (org.eclipse.jdt.core 3.13.102.v_OTDT_r262_201804012017) org.eclipse.jdt.core 3.13.102.xx-201807091850-e47 Cannot satisfy dependency: From: Groovy-Eclipse Compilerless Feature 3.0.0.xx-201807091850-e47 (org.codehaus.groovy.compilerless.feature.feature.group 3.0.0.xx-201807091850-e47) To: org.codehaus.groovy.headless.feature.feature.group [3.0.0.xx-201807091850-e47] Cannot satisfy dependency: From: Eclipse Groovy Development Tools 3.0.0.xx-201807091850-e47 (org.codehaus.groovy.eclipse.feature.feature.group 3.0.0.xx-201807091850-e47) To: org.codehaus.groovy.compilerless.feature.feature.group [3.0.0.xx-201807091850-e47] Cannot satisfy dependency: From: Groovy-Eclipse Headless Feature 3.0.0.xx-201807091850-e47 (org.codehaus.groovy.headless.feature.feature.group 3.0.0.xx-201807091850-e47) To: org.codehaus.groovy.jdt.patch.feature.group [3.0.0.xx-201807091850-e47] Cannot satisfy dependency: From: m2e - Maven Integration for Eclipse (includes Incubating components) 1.8.3.20180227-2137 (org.eclipse.m2e.feature.feature.group 1.8.3.20180227-2137) To: org.eclipse.jdt.feature.group 3.6.0 Cannot satisfy dependency: From: Spring IDE Core 3.9.5.201807030714-RELEASE (org.springframework.ide.eclipse.core 3.9.5.201807030714-RELEASE) To: package org.eclipse.jdt.core 0.0.0 Cannot satisfy dependency: From: Spring IDE Core (required) 3.9.5.201807030714-RELEASE (org.springframework.ide.eclipse.feature.feature.group 3.9.5.201807030714-RELEASE) To: org.springframework.ide.eclipse.core [3.9.5.201807030714-RELEASE] Cannot satisfy dependency: From: Spring Tool Suite 3.9.5.201807031734-RELEASE-e47 (org.springsource.sts.ide 3.9.5.201807031734-RELEASE-e47) To: org.springsource.sts.package.feature.group [3.9.5.201807031734-RELEASE-e47] Cannot satisfy dependency: From: Spring Tool Suite Package 3.9.5.201807031734-RELEASE-e47 (org.springsource.sts.package.feature.group 3.9.5.201807031734-RELEASE-e47) To: org.springframework.ide.eclipse.feature.feature.group 0.0.0 Cannot satisfy dependency: From Patch: org.codehaus.groovy.jdt.patch.feature.group 3.0.0.xx-201807091850-e47 Eclipse Java Development Tools 3.13.2.v20171130-0906 (org.eclipse.jdt.feature.group 3.13.2.v20171130-0906) To: org.eclipse.jdt.core [3.13.102.xx-201807091850-e47] Cannot satisfy dependency: From Patch: org.codehaus.groovy.jdt.patch.feature.group 3.0.0.xx-201807091850-e47 Eclipse Java Development Tools 3.13.3.v20180301-0715 (org.eclipse.jdt.feature.group 3.13.3.v20180301-0715) To: org.eclipse.jdt.core [3.13.102.xx-201807091850-e47] Cannot satisfy dependency: From Patch: org.codehaus.groovy.jdt.patch.feature.group 3.0.0.xx-201807091850-e47 Eclipse Java Development Tools 3.13.4.v20180330-0919 (org.eclipse.jdt.feature.group 3.13.4.v20180330-0919) To: org.eclipse.jdt.core [3.13.102.xx-201807091850-e47]